Saxon API for .NET |

# SchemaValidator.SetSource Method (XmlReader)

Supply the instance document to be validated, in the form of an XmlReader.

public void SetSource(
XmlReader reader
);

#### Parameters

reader
  The `XmlReader` used to read and parse the instance document being validated. This is used as supplied. For conformance, use of a plain `XmlTextReader` is discouraged, because it does not expand entity references. This may cause validation failures.

#### Remarks

The XmlReader is responsible for parsing the document; this method validates it.

#### See Also

SchemaValidator Class | Saxon.Api Namespace | SchemaValidator.SetSource Overload List